<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.catalog.ExpenseIncomeCatalog" table="expense_income_catalog" catalog="prase">
        <id name="id" type="string">
            <column name="id" length="36" />
            <generator class="assigned"></generator>
        </id>
        <property name="name" type="string">
            <column name="name" length="200" not-null="true"/>
        </property>
        <property name="expenseIncomeCatalogType" column="type" not-null="true">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.ExpenseIncomeType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="activePaymentCustomer" column="active_payment_customer" not-null="true">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.BasicType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="activeBox" column="active_box" not-null="true">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.BoxType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="active" column="active" not-null="true">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.BasicType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <many-to-one name="claveUnidad" class="com.arrebol.taxiservicios.model.catalog.ClaveUnidad" fetch="select">
            <column name="clave_unidad" length="36"/>
        </many-to-one>
         <many-to-one name="claveProductoServicio" class="com.arrebol.taxiservicios.model.catalog.ClaveProductoServicio" fetch="select">
            <column name="clave_producto_servicio" length="36"/>
        </many-to-one>
        <property name="expenseCatalogType" column="expense_catalog_type" not-null="true">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.ExpenseCatalogType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <many-to-one name="createdBy" class="com.arrebol.taxiservicios.model.core.User" not-null="true" fetch="select">
            <column name="created_by" length="36"/>
        </many-to-one>
        <property name="createdOn" type="timestamp">
            <column length="19" name="created_on"/>
        </property>
        <many-to-one name="lastUpdatedBy" class="com.arrebol.taxiservicios.model.core.User" fetch="select">
            <column name="last_updated_by" length="36"/>
        </many-to-one>
        <property name="lastUpdatedOn" type="timestamp">
            <column length="19" name="last_updated_on" />
        </property>
        <many-to-one name="location" class="com.arrebol.taxiservicios.model.catalog.Location" not-null="true" fetch="select">
            <column name="id_location" length="36"/>
        </many-to-one>
    </class>
</hibernate-mapping>